[Overview][Types][Classes][Procedures and functions][Index] | Reference for unit 'ImgList' (#lcl)

# TCustomImageList.AllocBy

Size used to increment the allocated data count.

## Declaration

Source position: imglist.pp line 400

`public property TCustomImageList.AllocBy : Integer read FAllocBy write FAllocBy default 4;`

## Description

AllocBy is a read-only Integer property that indicates the increment used when increasing the number of allocated data blocks for images in the image list. The number of allocated data blocks is always increased in multiples of the AllocBy value. The default value is 4, as assigned in the Initialize method.

AllocBy is used in the implementation of the AllocData and WSCreateReference methods in TCustomImageListResolution.

## See also

TCustomImageListResolution.WSCreateReference |  | Creates the Reference image list using the facilities for the widgetset.